## bristol 0.9.1

=== src/brighton/Makefile ===

APP		= brighton
APPS	= ${APP} lib${APP}

CC=cc -O -fPIC -g
CFLAGS=-I../bristol -I../bristol/include -Iinclude
LDFLAGS=-L./brighton -LlibbrightonX11 -L/usr/X11R6/lib -Xlinker -Bstatic -lbrighton -lB11 -Xlinker -Bdynamic -lX11

all: 
	@(cd lib${APP}X11 ; make BINDING=dynamic )
	@(cd ${APP} ; make BINDING=dynamic )

test: test.o
	${CC} ${CFLAGS} test.o -o libtest ${LDFLAGS}

install: 
	@(cd ${APP} ; make install BINDING=dynamic )

clean: 
	@(cd lib${APP}X11 ; make clean)
	@(cd ${APP} ; make clean)
	rm -f *.o libtest

allsource:
	tar cfvp ${APP}.tar `find . -name \*.c -print -o -name \*.h -print -o -name Makefile -print -o -name readme\* -print -print -o -name \*.xpm -print -o -name \*.mem -print -o -name \*.xbm -print -o -name setup -print`
	cat ${APP}.tar | bzip2 > ${APP}.tbz
	rm ${APP}.tar

extract:
	cat ${APP}.tbz | bunzip2 | tar xfvp -

usage:
	wc */*.c */*.h */Makefile
