=== src/bristol/Makefile ===

APP		= bristol
APPS	= ${APP} lib${APP}

all: 
#	@( ./configure )
	@(cd libbristol ; make BINDING=dynamic )
	@(cd libbristolmidi ; make BINDING=dynamic )
	@(cd bristol ; make BINDING=dynamic )
#	@(cd bristolgui ; make BINDING=dynamic )
	@(cd brightongui ; make BINDING=dynamic )

install: 
	@(cd libbristol ; make install BINDING=dynamic )
	@(cd libbristolmidi ; make install BINDING=dynamic )
	@(cd bristol ; make install BINDING=dynamic )
#	@(cd bristolgui ; make install BINDING=dynamic )
	@(cd brightongui ; make install BINDING=dynamic )

clean: 
	@(cd libbristol ; make clean)
	@(cd libbristolmidi ; make clean)
	@(cd bristol ; make clean)
#	@(cd bristolgui ; make clean)
	@(cd brightongui ; make clean)

dist:
	@(makeinstall)

allsource:
	tar cfvp ${APP}.tar `find . -name \*.c -print -o -name \*.h -print -o -name Makefile -print -o -name readme\* -print -o -name makeinstall -print -o -name build -print -o -name startBristol -print -o -name \*.gif -print -o -name \*.mem -print -o -name setup -print ; echo configure build`
	cat ${APP}.tar | bzip2 > ${APP}.tbz
	rm ${APP}.tar

usage:
	wc */*.c */*.h */Makefile
