=== src/bristol/brightongui/Makefile ===
include ../Makefile.autodefs
# 
#
DESTDIR		=
INCPATH		= -I../include -I/usr/X11R6/include -I/usr/local/include -I../../mixslab/include -I../../brighton/include
LDFLAGS		=
BINDIR		=
LINKDIR		=
LIBS		=-lbristolmidi -lbrighton -lB11 ${LIBASOUND} -lX11 -lm
LIBSDIR		=-L../../slab/lib -L../../mixslab/libslabc -L../libbristolmidi -L../../brighton/brighton -L../../brighton/libbrightonX11 -L/usr/X11R6/lib

VERS		=	0.01

#
# If you want ALSA support edit $SLAB_HOME/src/Makefile, and set ADLIB to "1".
#

CC			=	cc -fPIC
DEPEND		=	makedepend
INSTALL		=	install

#
# FEATURES include:
#
# -DQUICKHACK -DTEST
# FEATURES	= -DDEBUG  -DEBUG2
# FEATURES	=  -DDEBUG
FEATURES	=

# for 4.3 BSD
#DEFINES	=

# for Sun4
DEFINES		=

# for Data General
#DEFINES		=

#CFLAGS		= -target $(MACH) -O ${DEFINES} ${FEATURES} ${INCPATH}
CFLAGS		= ${DEFINES} ${FEATURES} ${INCPATH}
LDFLAGS		= ${CFLAGS} ${LIBSDIR} ${LIBS}
MFLAGS		= -I.

#
SRC3=${SRC4} brightonVox.c brightonRhodes.c brightonProphet10.c
SRC2=${SRC3} brightonExplorer.c brightonMixer.c brightonHammondB3.c
SRC1=${SRC2} brightonRoutines.c brightonHammond.c brightonJuno.c brightonDX.c
BRISTOLSRC=${SRC1} brighton.c bristolroutines.c brightonMini.c brightonProphet.c

#
# Object files
OBJ3=${OBJ4} brightonVox.o brightonRhodes.o brightonProphet10.o
OBJ2=${OBJ3} brightonExplorer.o brightonMixer.o brightonHammondB3.o
OBJ1=${OBJ2} brightonRoutines.o brightonHammond.o brightonJuno.o brightonDX.o
BRISTOLOBJ=${OBJ1} brighton.o bristolroutines.o brightonMini.o brightonProphet.o

PROGS	= bristol

all:	${PROGS}

bristol:	${BRISTOLOBJ}
	${CC} ${CFLAGS} ${BRISTOLOBJ} -o bristol ${LDFLAGS}

install: ${PROGS}
	@(cp libslab* ../../lib)

clean:
	@rm -f *.o *~ core ${} ${PROGS} lib*

lint:
	lint -bac ${DEFINES} ${MIXENGINESRC}

depend:
	${DEPEND} ${INCPATH} ${MFLAGS} ${BRISTOLSRC}

# DO NOT DELETE THIS LINE -- mkdep uses it.
