=== src/bristol/libbristol/Makefile ===
# 
#
DESTDIR		=
INCPATH		= -I../../mixslab4.10/include -I../include -I../../slab/include
LDFLAGS		=
BINDIR		=
LINKDIR		=
LIBS		=
LIBSDIR		=

VERS		=	0.01

CC			=	cc -c -fPIC -fpic -ggdb
DEPEND		=	makedepend
INSTALL		=	install -c

#
# FEATURES include:
#
# -DQUICKHACK -DTEST
# FEATURES	= -DDEBUG  -DEBUG2
# FEATURES	=  -DDEBUG
FEATURES	= -DNEW_DEBUG

# for 4.3 BSD
#DEFINES	=

# for Linux
#DEFINES		= -D_REENTRANT -DTEST
DEFINES		= -D_REENTRANT

# for Data General
#DEFINES		=

#CFLAGS		= -target $(MACH) -O ${DEFINES} ${FEATURES} ${INCPATH}
LDFLAGS		= ${LIBSDIR} ${LIBS} 
CFLAGS		= ${DEFINES} ${FEATURES} ${INCPATH} ${LDFLAGS}
MFLAGS		= -I.

#
# Header files
#
HDRS		=	bristol.h

# Source files
#
SRC1	=${SRC2} mixroutines.c
BRISTOLSRC	= ${SRC1} opmgt.c debugging.c bristolcdefs.c audioRoutines.c
#
# Object files
#

OBJ1	=${OBJ2} mixroutines.o
BRISTOLOBJ	= ${OBJ1} opmgt.o debugging.o bristolcdefs.o audioRoutines.o

PROGS	= libbristol.a

all:	${PROGS}

libbristol.a:	${BRISTOLOBJ}
	cc -o libbristol.so -shared --whole-archive ${BRISTOLOBJ}
	rm -f bristol.a
	ar cr libbristol.a ${BRISTOLOBJ}
	ranlib libbristol.a

install: ${PROGS}
	@(cp libbristol* ../../lib)

clean:
	@rm -f *.o *~ core ${LIBBRISTOL} ${PROGS} lib*

lint:
	lint -bac ${DEFINES} ${BRISTOLSRC}

depend:
	${DEPEND} ${INCPATH} ${MFLAGS} ${BRISTOLSRC}

# DO NOT DELETE THIS LINE -- mkdep uses it.
