=== src/bristol/libbristolmidi/Makefile ===
# 
#
DESTDIR		=
INCPATH		= -I../include -I../../slab/include
LDFLAGS		=
BINDIR		=
LINKDIR		=
LIBS		=
LIBSDIR		=

VERS		=	0.01

CC			=	cc -c -fPIC -fpic -ggdb
DEPEND		=	makedepend
INSTALL		=	install -c

#
# FEATURES include:
#
# -DQUICKHACK -DTEST
# FEATURES	= -DDEBUG  -DEBUG2
FEATURES	=
#FEATURES	= -DDEBUG -DBRISTOL_DBG

# for 4.3 BSD
#DEFINES	=

# for linux
DEFINES		= -D_REENTRANT

# for Data General
#DEFINES		=

#CFLAGS		= -target $(MACH) -O ${DEFINES} ${FEATURES} ${INCPATH}
LDFLAGS		= ${LIBSDIR} ${LIBS} 
CFLAGS		= ${DEFINES} ${FEATURES} ${INCPATH} ${LDFLAGS}
MFLAGS		= -I.

#
# Header files
#
HDRS		=	bristol.h

# Source files
#
SRC2	=${SRC3} inetClient.c inetServer.c interface.c midiSeqDevMan.c
SRC1	=${SRC2} midiRoutines.c midiParse.c socketToolKit.c midiTCPDevMan.c
BRISTOLSRC	=${SRC1} midiDevMan.c midiALSADevMan.c midiOSSDevMan.c midiMsgMan.c
#
# Object files
#

OBJ2	=${OBJ3} inetClient.o inetServer.o interface.o midiSeqDevMan.o
OBJ1	= ${OBJ2} midiRoutines.o midiParse.o socketToolKit.o midiTCPDevMan.o
BRISTOLOBJ	= ${OBJ1} midiDevMan.o midiALSADevMan.o midiOSSDevMan.o midiMsgMan.o

PROGS	= libbristolmidi.a

all:	${PROGS}

libbristolmidi.a:	${BRISTOLOBJ}
	cc -o libbristolmidi.so -shared --whole-archive ${BRISTOLOBJ}
	rm -f bristolmidi.a
	ar cr libbristolmidi.a ${BRISTOLOBJ}
	ranlib libbristolmidi.a

install: ${PROGS}
	@(cp libslab* ../../lib)

clean:
	@rm -f *.o *~ core ${LIBBRISTOL} ${PROGS} lib*

lint:
	lint -bac ${DEFINES} ${BRISTOLSRC}

depend:
	${DEPEND} ${INCPATH} ${MFLAGS} ${BRISTOLSRC}

# DO NOT DELETE THIS LINE -- mkdep uses it.
