=== src/slab/libslabaudio/Makefile ===
#LIBASOUND=-lasound
# 
#
DESTDIR		=
INCPATH		= -I/usr/lib/oss/include -I/usr/include -I../include
LDFLAGS		=
BINDIR		=
LINKDIR		=
LIBS		=
LIBSDIR		=

VERS		=	0.01

CC			=	cc -c -fPIC -fpic -ggdb
DEPEND		=	makedepend
INSTALL		=	install -c

#
# FEATURES include:
#
# -DQUICKHACK -DTEST
# FEATURES	= -DDEBUG -DLINUX -DEBUG2
# FEATURES	= -DLINUX -DDEBUG
FEATURES	= -DNEW_DEBUG

# for 4.3 BSD
#DEFINES	=

# for Sun4
DEFINES		=

# for Data General
#DEFINES		=

#CFLAGS		= -target $(MACH) -O ${DEFINES} ${FEATURES} ${INCPATH}
LDFLAGS		= ${LIBSDIR} ${LIBS} 
CFLAGS		= ${DEFINES} ${FEATURES} ${INCPATH} ${LDFLAGS}
MFLAGS		= -I.

#
# Header files
#
HDRS		=	slabmessages.h messageOps.h serverToolKit.h

# Source files
#
ASRC1			= ${ASRC2} audioEngineOSS.c audioMastering.c
LIBAUDIOSRC		= ${ASRC1} audioEngine.c audioNetClient.c audioEngineALSA.c

LIBAUDIOGUISRC	= audioGUI.c audioGUIALSA.c audioGUIOSS.c
#
# Object files
#

AOBJ1			= ${AOBJ2} audioEngineOSS.o audioMastering.o
LIBAUDIOOBJ		= ${AOBJ1} audioEngine.o audioNetClient.o audioEngineALSA.o

LIBAUDIOGUIOBJ	= audioGUI.o audioGUIALSA.o audioGUIOSS.o

TESTOBJ			= testAPI.c

PROGS	= libslabaudio.a libslabGUIaudio.a libasound.a

all:	${PROGS}

libslabaudio.a:	${LIBAUDIOOBJ}
	cc -o libslabaudio.so -shared --whole-archive ${LIBAUDIOOBJ}
	rm -f libslabaudio.a
	ar cr libslabaudio.a ${LIBAUDIOOBJ}
	ranlib libslabaudio.a

libslabGUIaudio.a:	${LIBAUDIOGUIOBJ}
	cc -o libslabGUIaudio.so -shared --whole-archive ${LIBAUDIOGUIOBJ}
	rm -f libslabGUIaudio.a
	ar cr libslabGUIaudio.a ${LIBAUDIOGUIOBJ}
	ranlib libslabGUIaudio.a

libasound.a:	null.o
	cc -o libasound.so.1 -shared --whole-archive null.o
	ar cr libasound.a null.o
	ranlib libasound.a

install: ${PROGS}
	@(cp libslab* ../../lib)

apitest:	${TESTOBJ}
	cc -Xlinker -Bstatic -DDEBUG -DNEW_DEBUG testAPI.c -lslabclient -L. -o apitest

clean:
	@rm -f *.o *~ core ${LIBAUDIOOBJ} ${PROGS} ${LIBAUDIOGUIOBJ} lib*

lint:
	lint -bac ${DEFINES} ${LIBAUDIOSRC}

depend:
	${DEPEND} ${INCPATH} ${MFLAGS} ${LIBAUDIOSRC}

# DO NOT DELETE THIS LINE -- mkdep uses it.
