## bristol 0.60.6

=== debian/changelog ===
bristol (0.60.6-1) experimental; urgency=low

  * New upstream release.
  * Remove DMUA field.
  * Add debian/gbp.conf.
  * Switch to 3.0 (quilt) format.
  * Add .gitignore file.
  * Remove empty debian/patches dir.
  * Update Standards-Version to 3.9.1.

 -- Alessio Treglia <alessio@debian.org>  Fri, 13 Aug 2010 16:20:36 +0200

bristol (0.60.5-1) unstable; urgency=low

  * Change my email address.
  * Imported Upstream version 0.60.5
  * Update debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Fri, 18 Jun 2010 09:39:39 +0200

bristol (0.60.4-1) unstable; urgency=low

  * New upstream release.
  * Add autotools-dev debhelper addon support.
  * debian/rules: Remove old lines used to update config.{guess,sub}
    files.
  * debian/patches/01-destdir.patch: Removed, applied upstream.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sat, 29 May 2010 09:34:47 +0200

bristol (0.60.3-1) unstable; urgency=low

  * New upstream release, Closes: #580728 too.
  * Remove 01-spelling_errors.patch, applied upstream.
  * debian/patches/01-destdir.patch:
    - Compress manpages before installing them.
    - Fix installation path of manpages.
  * Remove bristol.1 manpage, now provided by upstream.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 16 May 2010 20:19:42 +0200

bristol (0.60.2-1) unstable; urgency=low

  * New upstream release.
  * Update debian/patches/01-spelling_errors.patch, all other patches
    have been applied upstream.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Tue, 04 May 2010 09:57:47 +0200

bristol (0.60.0-4) unstable; urgency=low

  * Switch back to deb format 1.0, bug#578693 has been fixed.
  * Refresh and improvements, another attempt to fix FTBFS on
    hppa,sparc,s390.
  * Drop debian/patches/02-implicit_pointer_conversion.patch patch,
    applied upstream.
  * Patch to fix FTBFS on hurd-i386.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 23 Apr 2010 09:49:32 +0200

bristol (0.60.0-3) unstable; urgency=low

  * debian/patches/04-fix_alsa_presence_check.patch:
    - Attempt to fix FTBFS on hppa, sparc and s390 architectures.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 22 Apr 2010 17:11:56 +0200

bristol (0.60.0-2) unstable; urgency=low

  * Add patch to fix FTBFS on kfreebsd architectures (Closes: #578443).
  * Temporary switch to debian 3.0 (quilt) format to workaround bug#578693.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 22 Apr 2010 00:52:06 +0200

bristol (0.60.0-1) unstable; urgency=low

  * New upstream release uploaded to unstable.
  * Add autotools support.
  * Refresh debian/patches/01-spelling_errors.patch patch.
  * debian/rules: Set JACK as default AUDIO and MIDI driver.
  * debian/patches/02-implicit_pointer_conversion.patch:
    - Forwarded to upstream.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Tue, 20 Apr 2010 20:53:20 +0200

bristol (0.50.6-1) experimental; urgency=low

  * New upstream release.
  * Refresh patches.
  * Bump Standards.
  * Remove ALSA support for non-linux archs, should fix FTBFS.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 15 Apr 2010 17:04:08 +0200

bristol (0.50.2-1) UNRELEASED; urgency=low

  * New upstream release.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 01 Mar 2010 01:08:40 +0100

bristol (0.50.1-1) UNRELEASED; urgency=low

  * New upstream development release.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Tue, 26 Jan 2010 09:27:32 +0100

bristol (0.40.8-2) unstable; urgency=low

  * Disable alsa on hurd,kfreebsd architectures.
  * Adjust debhelper,quilt build-dependencies to ease backporters' life.
  * Bump Standards.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 19 Apr 2010 07:56:44 +0200

bristol (0.40.8-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 24 Jan 2010 19:58:06 +0100

bristol (0.40.7-2) unstable; urgency=low

  * debian/patches/02-implicit_pointer_conversion.patch: Function
    'bristolmalloc' implicitly converted to pointer, this was due to
    a missing function prototype (Closes: #563435).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 04 Jan 2010 00:48:16 +0100

bristol (0.40.7-1) unstable; urgency=low

  * New upstream release.
  * Fix a little spelling error in the packages' description
    (Closes: #528546); thanks to Junichi Uekawa for reporting this.
  * Add Vcs-* tags.
  * Set DM-Upload-Allowed to yes.
  * Add Free Ekanayaka to Uploaders field.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 27 Dec 2009 15:53:55 +0100

bristol (0.40.6-1) unstable; urgency=low

  * Adopting this (Closes: #546954).
  * Create new bristol-data runtime package, it will contain application's
    architecture-indipendent data files.
  * Drop all patches, now useless.
  * Switch to debhelper 7.
  * debian/copyright: Update according to DEP-5 spec.
  * debian/bristol.1: Fix little spelling mistake.
  * Replace patch system, from dpatch to quilt.
  * Add 01-spelling_errors.patch patch to fix spelling-error-in-binary.
  * debian/rules: dh_makeshlibs doesn't touch shlibs/symbols file, libraries
    under /usr/lib/bristol/ are private.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Tue, 10 Nov 2009 12:21:04 +0100

bristol (0.40.1-0.1) unstable; urgency=low

  * Non-maintainer upload.
    + With permission from maintainer.
  * New upstream release. (Closes: #470336, #366833).
    + Builds with newer alsa libs. (Closes: #506768).
    + Builds on amd64. (Closes: #527716).
  * Replace x-dev build-dep with x11proto-core-dev. (Closes: #515358).
  * Install menu file. (Closes: #299414).
  * Update watch file.
  * Add Homepage. 
    + Remove old bad URL from package description.
  * Add appropriate Copyright holder to debian/copyright.
  * Bump debhelper build-dep and compat to 5.
  * Bump Standards Version to 3.8.1.
    + Menu policy transition.

 -- Barry deFreese <bdefreese@debian.org>  Tue, 05 May 2009 21:42:17 -0400

bristol (0.9.1-13) unstable; urgency=low

  * Fixed X11 library dependencies (closes: #346627)


