## bristol 0.60.8

=== debian/changelog ===
bristol (0.60.8-1) experimental; urgency=low

  * Update debian/gbp.conf.
  * Imported Upstream version 0.60.8
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Mon, 27 Dec 2010 01:24:09 +0100

bristol (0.60.7-3) experimental; urgency=low

  * Don't force jackd2, jackd1 >= 1:0.118+svn4089-1~ is enough to
    provide jack-session support.

 -- Alessio Treglia <alessio@debian.org>  Mon, 06 Dec 2010 12:25:12 +0100

bristol (0.60.7-2) experimental; urgency=low

  * First build with JACK session support.

 -- Alessio Treglia <alessio@debian.org>  Tue, 23 Nov 2010 01:11:54 +0100

bristol (0.60.7-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/01-export_statements:
    - Remove all unnecessary 'export' statements.
  * Drop 90-CVE_insecure_library_loading.patch patch, applied upstream.
  * Add NEWS.Debian to notify users about the default size of the voice
    table and document how to increase the VOICECOUNT limit at runtime.

 -- Alessio Treglia <alessio@debian.org>  Wed, 27 Oct 2010 09:01:20 +0200

bristol (0.60.6-2) experimental; urgency=low

  * Add patch to prevent insecure library loading;
    Closes: #598285, CVE-2010-3351
  * Add local-options file.

 -- Alessio Treglia <alessio@debian.org>  Wed, 29 Sep 2010 12:03:25 +0200
