=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libx11-dev,
  x11proto-core-dev,
  libasound2-dev,
- libjack-dev
+ libjack-dev (>= 1:0.118+svn4089-1~) | libjack-jackd2-dev (>= 1.9.6~dfsg.1-3~)
 Standards-Version: 3.9.1
 Homepage: http://bristol.sourceforge.net/
 Vcs-Git: git://git.debian.org/pkg-multimedia/bristol.git
