=== debian/rules ===
#!/usr/bin/make -f

EXTRA_CONFIGURE_ARGS = --enable-jack-default-audio --enable-jack-default-midi

ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
EXTRA_CONFIGURE_ARGS += --disable-alsa
endif

ifeq ($(DEB_HOST_ARCH_OS),hurd)
EXTRA_CONFIGURE_ARGS += --disable-alsa
endif

%:
	dh --with autotools_dev $@

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr --libdir=\$${prefix}/lib/bristol \
		$(EXTRA_CONFIGURE_ARGS)

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/tmp install
	find $(CURDIR)/debian/tmp/usr/share/bristol/ -type d -empty -delete
	find $(CURDIR)/debian/tmp/usr/share/ -type f | xargs chmod -x

override_dh_makeshlibs:
	dh_makeshlibs -n
