## bristol 0.60.9

=== debian/changelog ===
bristol (0.60.9-1) unstable; urgency=low

  * New upstream bugfix release.
  * Depends on libjack-dev only.
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Mon, 14 Nov 2011 06:15:01 +0100

bristol (0.60.8-3) unstable; urgency=low

  * debian/rules:
    - Enable parallel builds.
    - Get rid of unneeded *.la files (Closes: #621266).
  * debian/control:
    - Suggests jackd.
    - Bump Standards.
  * Rewrite debian/copyright as per DEP-5 rev.174.

 -- Alessio Treglia <alessio@debian.org>  Mon, 09 May 2011 00:46:41 +0200

bristol (0.60.8-2) unstable; urgency=low

  * Upload to unstable.
  * Relax JACK's build-deps to let this build in sid.

 -- Alessio Treglia <alessio@debian.org>  Tue, 15 Feb 2011 02:54:23 +0100
