=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
  libx11-dev,
  x11proto-core-dev,
  libasound2-dev,
- libjack-dev (>= 1:0.118+svn4089-1~) | libjack-jackd2-dev (>= 1.9.6~dfsg.1-3~)
-Standards-Version: 3.9.1
+ libjack-dev
+Standards-Version: 3.9.2
 Homepage: http://bristol.sourceforge.net/
 Vcs-Git: git://git.debian.org/pkg-multimedia/bristol.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/bristol.git
@@ -20,6 +20,7 @@
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  bristol-data (= ${source:Version})
+Suggests: jackd
 Description: vintage synthesizer emulator
  Bristol is a synthesizer emulator application. Bristol uses the sound card 
  PCM generator and can be MIDI driven, furthermore it can be set to use the
