=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 endif
 
 %:
-	dh --with autotools_dev $@
+	dh $@ --parallel --with autotools_dev
 
 override_dh_auto_configure:
 	dh_auto_configure -- --prefix=/usr --libdir=\$${prefix}/lib/bristol \
@@ -21,6 +21,7 @@
 	dh_auto_install -- DESTDIR=$(CURDIR)/debian/tmp install
 	find $(CURDIR)/debian/tmp/usr/share/bristol/ -type d -empty -delete
 	find $(CURDIR)/debian/tmp/usr/share/ -type f | xargs chmod -x
+	find $(CURDIR)/debian/tmp/usr/lib/bristol -type f -name '*.la' -delete
 
 override_dh_makeshlibs:
 	dh_makeshlibs -n
