## bristol 0.60.10

=== debian/changelog ===
bristol (0.60.10-3) unstable; urgency=low

  * Extend 02-disable_sse.patch to disable -march=core2 -msse -msse
    -mfpmath=sse when compiling libbristol too.

 -- Alessio Treglia <alessio@debian.org>  Wed, 18 Jul 2012 18:01:34 +0200

bristol (0.60.10-2) unstable; urgency=low

  * Disable -msse -mfpmath (Closes: #674229)

 -- Alessio Treglia <alessio@debian.org>  Fri, 15 Jun 2012 09:58:07 +0200

bristol (0.60.10-1) unstable; urgency=low

  * New upstream bugfix release.
  * Refresh 01-export_statements.patch.
  * Use dh-autoreconf.
  * Refresh debian/copyright.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 01 May 2012 11:14:17 +0200
