=== debian/control ===
Source: bristol
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Free Ekanayaka <freee@debian.org>
Build-Depends:
 debhelper (>= 7.0.50~),
 dh-autoreconf,
 libasound2-dev,
 libjack-dev,
 libx11-dev,
 x11proto-core-dev
Standards-Version: 3.9.3
Homepage: http://bristol.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/bristol.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/bristol.git

Package: bristol
Architecture: any
Depends:
 bristol-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 jackd
Description: vintage synthesizer emulator
 Bristol is a synthesizer emulator application. Bristol uses the sound card
 PCM generator and can be MIDI driven, furthermore it can be set to use the
 low latency scheduling feature of the kernel, reducing audio under runs.
 It can handle any number of simultaneous synthesizers (they all connect to
 the same engine). It supports splitting and layering the keyboard with
 multiple synthesizers on a single midi channel. Currently Bristol emulates
 the following keyboards: Moog Mini, Moog Voyager (Bristol "Explorer"),
 Sequential Circuits Prophet-5, Roland Juno-6, Yamaha DX-7,
 Hammond (single manual), Hammond B3 (dual manual).

Package: bristol-data
Architecture: all
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Replaces:
 bristol (<< 0.40.6-1)
Description: vintage synthesizer emulator (data files)
 Bristol is a synthesizer emulator application. Bristol uses the sound card
 PCM generator and can be MIDI driven, furthermore it can be set to use the
 low latency scheduling feature of the kernel, reducing audio under runs.
 It can handle any number of simultaneous synthesizers (they all connect to
 the same engine). It supports splitting and layering the keyboard with
 multiple synthesizers on a single midi channel. Currently Bristol emulates
 the following keyboards: Moog Mini, Moog Voyager (Bristol "Explorer"),
 Sequential Circuits Prophet-5, Roland Juno-6, Yamaha DX-7,
 Hammond (single manual), Hammond B3 (dual manual).
 .
 This package contains the application data files.
