## bristol 0.60.11

=== debian/changelog ===
bristol (0.60.11-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    (Closes: #1096395)

 -- Adrian Bunk <bunk@debian.org>  Sat, 20 Sep 2025 18:45:35 +0300

bristol (0.60.11-5) unstable; urgency=medium

  * Team upload

  [ Miriam España Acebal ]
  * d/p/implicit-function-declaration.patch: Upstream's fix for
    avoiding implicit ints and implicit function declarations,
    to prevent build failures and fixing existing FTBFS on armfh
    (Closes: #1066243)

 -- Bastian Germann <bage@debian.org>  Fri, 12 Apr 2024 18:37:48 +0000

bristol (0.60.11-4) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces
  * d/watch: Use https protocol
  * Use debhelper-compat instead of debian/compat

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

 -- Bastian Germann <bage@debian.org>  Tue, 19 Sep 2023 12:59:26 +0200

bristol (0.60.11-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch from Logan Rosen for FTBFS with gcc 10. (Closes: #957055)

 -- Adrian Bunk <bunk@debian.org>  Fri, 05 Feb 2021 22:08:58 +0200

bristol (0.60.11-3) unstable; urgency=medium

  * Team upload.
  * debian/copyright:
      - Put my name in 'Files: debian/*' entry.
  * debian/patches:
      - 03-rm_alsa-iatomic.h.patch added. (Closes: #834180)
        Thanks Adrian Bunk and James Cowgill.

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Fri, 09 Sep 2016 09:04:38 -0300

bristol (0.60.11-2) unstable; urgency=low

  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Thu, 09 May 2013 12:25:40 +0200

bristol (0.60.11-1) experimental; urgency=low

  * New upstream release.
  * Bump debhelper requirements.
  * Refresh patches.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 31 Jan 2013 01:02:00 +0000
