=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: bristol
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Free Ekanayaka <freee@debian.org>
 Build-Depends:
- debhelper (>= 7.0.50~),
+ debhelper-compat (= 9),
  dh-autoreconf,
  libasound2-dev,
  libjack-dev,
  libx11-dev,
  x11proto-core-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://bristol.sourceforge.net/
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/bristol.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/bristol.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/bristol.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/bristol
 
 Package: bristol
 Architecture: any
