=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_CFLAGS_MAINT_APPEND = -std=gnu17
 
 EXTRA_CONFIGURE_ARGS = --enable-jack-default-audio --enable-jack-default-midi
 
@@ -11,7 +13,7 @@
 endif
 
 %:
-	dh $@ --parallel --with autotools_dev
+	dh $@ --parallel --with autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- --prefix=/usr --libdir=\$${prefix}/lib/bristol \
