=== debian/watch ===
version=3

https://sf.net/bristol/bristol-([\d.]+)\.tar\.gz
